## org.biojavax.bio.phylo.io.nexus
Class DataBlockParser

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
          org.biojavax.bio.phylo.io.nexus.CharactersBlockParser
              org.biojavax.bio.phylo.io.nexus.DataBlockParser

All Implemented Interfaces:
  NexusBlockParser

    public class DataBlockParser

extends CharactersBlockParser

Parses Nexus data blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`NexusBlockParser.Abstract`

Field Summary

Fields inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`UNKNOWN_BLOCK`

Constructor Summary
`DataBlockParser(DataBlockListener blockListener)` Delegates to CharactersBlockParser.

Method Summary

Methods inherited from class org.biojavax.bio.phylo.io.nexus.CharactersBlockParser
`parseToken, resetStatus, wantsBracketsAndBraces`

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
`beginComment, commentText, endBlock, endComment, endTokenGroup, getBlockListener, getBlockName, startBlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBlockParser

    public DataBlockParser(DataBlockListener blockListener)

  Delegates to CharactersBlockParser.

  Parameters:
    `blockListener` - the listener to send parse events to.